Application not installed
And existing package by the same name with a conflicting signature is already installed.

This is a known error that occurs when installing Swype on a Tablet under the All Regions option for languages. This error occurs after being prompted to download an upgrade to Swype and attempt to install it. This is a known issue that is expected to be resolved with the next release of the beta. There is no real issue with attempting to download and/or install the "update" except it's expected if you attempt to download it, you'll need to uninstall and reinstall Swype to receive the next upgrade when it is actually available.